Chart-1.9.1: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.Hidden

Description

Plots that don't show, but occupy space so as to effect axis scaling

Synopsis

- data PlotHidden x y = PlotHidden {
  - _plot_hidden_x_values :: [x]
  - _plot_hidden_y_values :: [y]
  }
- plot_hidden_x_values :: forall x y x. Lens (PlotHidden x y) (PlotHidden x y) [x] [x]
- plot_hidden_y_values :: forall x y y. Lens (PlotHidden x y) (PlotHidden x y) [y] [y]

# Documentation

data PlotHidden x y Source #

Value defining some hidden x and y values. The values are not displayed, but they still affect axis scaling.

Constructors

PlotHidden |

Fields

- _plot_hidden_x_values :: [x]
- _plot_hidden_y_values :: [y]

Instances

ToPlot PlotHidden Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Hidden Methods toPlot :: PlotHidden x y -> Plot x y Source #

plot_hidden_x_values :: forall x y x. Lens (PlotHidden x y) (PlotHidden x y) [x] [x] Source #

plot_hidden_y_values :: forall x y y. Lens (PlotHidden x y) (PlotHidden x y) [y] [y] Source #